<?php 
$postType = $this->thisPost->postType;
$images = '';

if(!empty($this->thisPost->postImageData))
{
    $images = $this->thisPost->postImageData;
}

$formHtml = '';
//echo $postType; die;
switch($postType)
{
    case 1 : 
            // no story editor
            $formHtml = <<<HTML
                            <div class="quote-input quote-input-edit">
                                <textarea placeholder="Write your story" class="textarea-scrollbar scrollbar-outer form-control story-text story-input-text autoresize post-story-editor-area">{$this->thisPost->postContentRaw}</textarea>

                                <div class="bottom" id="story_button">
                                    <button class="btn btn-info" onclick="editAllPostStory('quote-input-edit', 'quote')">Post</button>
                                </div>
                                <input type="hidden" name="hdnPostId" id="hdnPostId" class="story-id" value="{$this->thisPost->id}">
                            </div>
HTML;
        break;
    
    case 2 : 
            // no story editor
            $formHtml = <<<HTML
                            <div class="story-input story-input-edit">
                                <input type="text" placeholder="Story title" value="{$this->thisPost->postTitle}" class="form-control story-title story-input-title" />

                                <div>
                                    <div class="upload-image-list-post image-list editable">

                                    </div>
                                </div>

                                <textarea placeholder="Write your story" class="textarea-scrollbar scrollbar-outer form-control story-text story-input-text autoresize post-story-editor-area">{$this->thisPost->postContentRaw}</textarea>

                                <div class="bottom" id="story_button">
                                    <a class="text-info pull-left" href="#" onclick="uploadImage('post');"><i class="icon-picture"></i>Add Photos</a>
                                    <button class="btn btn-info" onclick="editAllPostStory('story-input-edit', 'simple', true)">Post</button>
                                </div>
                                <input type="hidden" name="hdnPostId" id="hdnPostId" class="story-id" value="{$this->thisPost->id}">
                            </div>
                            <input type="hidden" name="hdnImageData" id="hdnImageData" value='${images}' />
HTML;
        break;
        
    case 3 : 
            // no story editor
            $formHtml = <<<HTML
                            <div class="adv-story-input adv-story-input-edit">
                                <input type="text" placeholder="Story title" value="{$this->thisPost->postTitle}" class="form-control story-title story-input-title    " />

                                <div>
                                    <div class="upload-image-list image-list editable">

                                    </div>
                                </div>

                                <div class="placeholder">
                                    <label for="advanced-story">Type your article</label>
                                    <textarea placeholder="Write your story" class="form-control story-text story-input-text autoresize" id="advanced-story-edit">{$this->thisPost->postContent}</textarea>
                                </div>
                                <div class="bottom">
                                    <button class="btn btn-info" onclick="editAllPostStory('adv-story-input-edit', 'advanced', true)">Post</button>
                                </div>
                                <input type="hidden" name="hdnPostId" id="hdnPostId" class="story-id" value="{$this->thisPost->id}">
                            </div>
                            <input type="hidden" name="hdnImageData" id="hdnImageData" value="${images}" />
HTML;
        break;

    case 4 : 
            // no story editor
            $showTItle = '';
            if(!empty($this->thisPost->postTitle))
            {
                $showTItle = '<input type="text" placeholder="Story title" value="'.$this->thisPost->postTitle.'" class="form-control story-title story-input-title" />';
            }
            $formHtml = <<<HTML
                            <div class="upload-photo upload-photo-edit">
                                ${showTItle}      
                                <div id="has_photos">
                                    <div class="show-if-photos">
                                        <div class="box-container">
                                            <div class="upload-image-list-photo image-list editable hide" data-type="photo"></div>
                                            <textarea placeholder="Describe the photo" id="quote" class="textarea-scrollbar scrollbar-outer form-control story-input-text">{$this->thisPost->postContentRaw}</textarea>
                                        </div>
                                    </div>
                                    <div class="upload-image-list-photo editable small-image-section" data-type="photo"></div>
                                    
                                    <div class="bottom">
                                        <a class="text-info pull-left" href="javascript:void(0);" onclick="uploadImage('photo');"><i class="icon-picture"></i>Add Photos</a>
                                        <button class="btn btn-info" onclick="editAllPostStory('upload-photo-edit', 'photo', true)">Post</button>
                                    </div>
                                </div>
                                <input type="hidden" name="hdnPostId" id="hdnPostId" class="story-id" value="{$this->thisPost->id}">
                            </div>
                            <input type="hidden" name="hdnImageData" id="hdnImageData" value='${images}' />
                            <input type="hidden" name="hdnPostType" id="hdnPostType" value='${postType}' />
HTML;
        break;
}
?>
<div class="modal fade" id="editPostForm" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-top-padding-10" role="document">
        <div class="modal-content edit">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Edit Story</h4>
            </div>
            
            <div class="modal-body">
                
                <div class="feed-item editor-content editor-story story-tab-section">
                    <div class="section story-info">
                        <?php echo $formHtml; ?>
                    </div>
                </div>
                
            </div>
            <!--
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="editPostType('photo-album', 'photo', true, <?php echo $album->id; ?>)">Post</button>
            </div>-->
        </div>
    </div>
</div>
<?php die; ?>